Glib::Variant< guint32 > Class Template Reference
Variant Data Types

Specialization of Glib::Variant containing a guint32 type. More...

`#include <glibmm/variant_basictypes.h>`

Inheritance diagram for Glib::Variant< guint32 >:
[legend]

List of all members.

## Public Types

typedef guint32 | CType

## Public Member Functions

| Variant ()
| Default constructor.
| Variant (GVariant* castitem, bool take_a_reference=false)
| GVariant constructor.
guint32 | get () const
| Gets the value of the Glib::Variant<guint32>.

## Static Public Member Functions

static const VariantType& | variant_type ()
| Gets the Glib::VariantType.
static Variant< guint32 > | create (guint32 data)
| Creates a new Glib::Variant<guint32>.

## Detailed Description

### template<>
class Glib::Variant< guint32 >

Specialization of Glib::Variant containing a guint32 type.

Since glibmm 2.26:

## Member Typedef Documentation

typedef guint32 Glib::Variant< guint32 >::CType

## Constructor & Destructor Documentation

Glib::Variant< guint32 >::Variant | ( |  | ) | `[inline]`

Default constructor.

Glib::Variant< guint32 >::Variant | ( | GVariant< guint32 > * | castitem,
|  | bool | take_a_reference = `false`
| ) |  | `[inline, explicit]`

GVariant constructor.

Parameters:

  castitem | The GVariant to wrap.

## Member Function Documentation

static Variant<guint32> Glib::Variant< guint32 >::create | ( | guint32 | data | ) | `[static]`

Creates a new Glib::Variant<guint32>.

Parameters:

  data | The value of the new Glib::Variant<guint32>.

Returns:
  The new Glib::Variant<guint32>.

guint32 Glib::Variant< guint32 >::get | ( |  | ) | const

Gets the value of the Glib::Variant<guint32>.

Returns:
  The guint32 value of the Glib::Variant<guint32>.

static const VariantType& Glib::Variant< guint32 >::variant_type | ( |  | ) | `[static]`

Gets the Glib::VariantType.

Returns:
  The Glib::VariantType.